CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
lo_arg Union Reference
High-level OSC API

Union used to read values from incoming messages. More...

`#include <lo_osc_types.h>`

List of all members.

## Public Attributes
int32_t | i
int32_t | i32
int64_t | h
int64_t | i64
float | f
float | f32
double | d
double | f64
char | s
char | S
unsigned char | c
uint8_t | m [4]
lo_timetag | t

## Detailed Description

Union used to read values from incoming messages.

Types can generally be read using argv[n]->t where n is the argument number and t is the type character, with the exception of strings and symbols which must be read with &argv[n]->t.

Definition at line 100 of file lo_osc_types.h.

## Member Data Documentation

int32_t lo_arg::i

32 bit signed integer.

Definition at line 102 of file lo_osc_types.h.

Referenced by lo_coerce(), lo_hires_val(), and timestamp_handler().

int32_t lo_arg::i32

32 bit signed integer.

Definition at line 104 of file lo_osc_types.h.

int64_t lo_arg::h

64 bit signed integer.

Definition at line 106 of file lo_osc_types.h.

Referenced by lo_hires_val().

int64_t lo_arg::i64

64 bit signed integer.

Definition at line 108 of file lo_osc_types.h.

Referenced by lo_coerce().

float lo_arg::f

32 bit IEEE-754 float.

Definition at line 110 of file lo_osc_types.h.

Referenced by lo_coerce(), and lo_hires_val().

float lo_arg::f32

32 bit IEEE-754 float.

Definition at line 112 of file lo_osc_types.h.

double lo_arg::d

64 bit IEEE-754 double.

Definition at line 114 of file lo_osc_types.h.

Referenced by lo_coerce(), and lo_hires_val().

double lo_arg::f64

64 bit IEEE-754 double.

Definition at line 116 of file lo_osc_types.h.

char lo_arg::s

Standard C, NULL terminated string.

Definition at line 118 of file lo_osc_types.h.

char lo_arg::S

Standard C, NULL terminated, string. Used in systems which distinguish strings and symbols.

Definition at line 121 of file lo_osc_types.h.

unsigned char lo_arg::c

Standard C, 8 bit, char.

Definition at line 123 of file lo_osc_types.h.

uint8_t lo_arg::m[4]

A 4 byte MIDI packet.

Definition at line 125 of file lo_osc_types.h.

Referenced by lots_handler().

lo_timetag lo_arg::t

OSC TimeTag value.

Definition at line 127 of file lo_osc_types.h.

Referenced by jitter_handler(), lots_handler(), test_deserialise(), and timestamp_handler().

The documentation for this union was generated from the following file:

- CSL/liblo-0.26/lo/lo_osc_types.h